## artoolkitplus 2.1.4-1maemo1

=== SConstruct ===
from glob import glob as Glob

vrs = Options()
vrs.Add("prefix", "installation directory", "/usr")

env = Environment(options=vrs)
env["CPPFLAGS"] = "-Wall"
env["CPPPATH"] = "include/"

sources = ["src/core/byteSwap.cpp"] \
          +Glob("src/*.cpp") \
          +Glob("src/extra/*.cpp") \
          +Glob("src/librpp/*.cpp")

#env["CPPDEFINES"] = ["ARTOOLKITPLUS_DLL"]
arlib = env.SharedLibrary("ARToolkitPlus", sources)

env.Install(env.get("prefix")+"/lib", arlib)
env.Install(env.get("prefix")+"/include/ARToolKitPlus/", Glob("include/ARToolKitPlus/*.h"))
env.Install(env.get("prefix")+"/include/ARToolKitPlus/extra/", Glob("include/ARToolKitPlus/extra/*.h"))
env.Install(env.get("prefix")+"/include/ARToolKitPlus_impl/", Glob("include/ARToolKitPlus_impl/*.cpp"))
env.Install(env.get("prefix")+"/include/ARToolKitPlus_impl/core/", Glob("include/ARToolKitPlus_impl/core/*.*"))

env.Alias("install", env.get("prefix"))

# uncomment to enable building of tools/ examples
# SConscript("bin/SConscript")

=== debian/changelog ===
artoolkitplus (2.1.4-1maemo1) karmic; urgency=low

  * Initial release (Closes: #nnnn)

 -- Pavel Rojtberg <pavel@rojtberg.net>  Fri, 23 Oct 2009 01:37:54 +0200

=== debian/control ===
Source: artoolkitplus
Priority: optional
Maintainer: Pavel Rojtberg <pavel@rojtberg.net>
Build-Depends: debhelper (>= 5.0.42), scons
Standards-Version: 3.8.1
Section: libs
Homepage: http://launchpad.net/artoolkitplus

Package: artoolkitplus-dev
Section: libdevel
Architecture: all
Depends: artoolkitplus (= ${binary:Version})
Description: Augmented Reality Toolkit (development files)
 ARToolKitPlus is a software library that can be used to calculate camera position and orientation relative to physical markers in real time.
 This enables the easy development of a wide range of Augmented Reality applications.

Package: artoolkitplus
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Augmented Reality Toolkit (runtime library)
 ARToolKitPlus is a software library that can be used to calculate camera position and orientation relative to physical markers in real time.
 This enables the easy development of a wide range of Augmented Reality applications.

## artoolkitplus 2.2.0-0maemo1

=== SConstruct ===
from glob import glob as Glob

vrs = Options()
vrs.Add("prefix", "installation directory", "/usr")

env = Environment(options=vrs)
env["CPPFLAGS"] = "-Wall -O3"
env["CPPPATH"] = "include/"

sources = Glob("src/*.cpp") \
          +Glob("src/core/*.cpp") \
          +Glob("src/extra/*.cpp") \
          +Glob("src/librpp/*.cpp")

arlib = env.SharedLibrary("ARToolkitPlus", sources)

env.Install(env.get("prefix")+"/lib", arlib)
env.Install(env.get("prefix")+"/include/ARToolKitPlus/", Glob("include/ARToolKitPlus/*.h"))
env.Install(env.get("prefix")+"/include/ARToolKitPlus/extra/", Glob("include/ARToolKitPlus/extra/*.h"))

env.Alias("install", env.get("prefix"))

# uncomment to enable building of tools/ examples
# SConscript("bin/SConscript")

=== debian/changelog ===
artoolkitplus (2.2.0-0maemo1) fremantle; urgency=low

  * new stable release
  * change order of tracker arguments

 -- Pavel Rojtberg <pavel@rojtberg.net>  Fri, 05 Mar 2010 15:33:07 +0100

artoolkitplus (2.2.0~pre0-1maemo1) fremantle; urgency=low

  * New Upstream Release
  * Major code cleanup
  * Allow tracking several single markers

 -- Pavel Rojtberg <pavel@rojtberg.net>  Thu, 28 Jan 2010 01:33:56 +0100

artoolkitplus (2.1.4-1maemo1) fremantle; urgency=low

  * Initial release (Closes: #nnnn)

 -- Pavel Rojtberg <pavel@rojtberg.net>  Fri, 23 Oct 2009 01:37:54 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	scons

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	scons -c

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	scons install prefix=debian/tmp/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
